{% extends 'base.html' %}
{%load static %}
{% block name %}
  {% if user.is_authenticated %}
    <p style="font-size : 15px;">{{ user.username }}</p>
  {% endif %}
{% endblock %}
{% block body %}

<table class="table table-hover" style="padding-left: ($spacer * .5) !important;
  padding-right: ($spacer * .5) !important;">
  <thead>
    <tr>
      <th style="font-size: 23px; color: #06D6A0;">NOMOR</th>
      <th style="font-size: 23px; color: #06D6A0;">NAMA PROGRAM</th>
      <th style="font-size: 23px; color: #06D6A0;">JUMLAH DONASI</th>
      <th style="font-size: 23px; color: #06D6A0;">ANONYM</th>
    </tr>
  </thead>

  <tbody>
    {% for i in histori_donasi %}
    <tr>
      <th scope="row" id="numbering">{{ forloop.counter }}</th>
      <td>{{i.program_name}}</td>
      <td>{{i.donasi}}</td>
      <td>{{i.anonym}}</td>
    </tr>
  {% endfor %}
  </tbody>
</table>

<script type="text/javascript">
  console.log("1")
  $(document).ready(function(){
    console.log("2")
    $.ajax({
      type : 'GET',
      url : 'listHistory',
      datatype : 'json',
      success: function(data){
        console.log(data);
        var result = '<tr>';
        for(var i = 0; i < data.length; i++) {
        result += "<th scope='row'>" + (i+1) + "</th>" +
        "<td>" + data[i].fields.program_name +"</td>" +
        "<td>" + data[i].fields.donasi +"</td>"+
        "<td>" + data[i].fields.anonym +"</td>" + "</td></tr>";
        }
      $('tbody').append(result);
      }
    })
  });
</script>
{% endblock %}
